package oauthprovider_admin

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/oauthprovider_admin"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route get /api/admin/oauth_provider/list oauthprovider_admin GetOauthProviderListAdmin
//
// Get oauth provider list | 获取第三方信息列表
//
// Get oauth provider list | 获取第三方信息列表
//
// Responses:
//  200: OauthProviderListResp

func GetOauthProviderListAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.OauthProviderReq
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := oauthprovider_admin.NewGetOauthProviderListAdminLogic(r, r.Context(), svcCtx)
		resp, err := l.GetOauthProviderListAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, resp, err)

	}
}
